
QGIS Application - Bug report #11836

"Drag and drop designer" crashes QGIS when a text edit, multiline field is repeated more than once

2014-12-10 03:35 AM - Giedrius Vaivilavičius

Status: Closed

Priority: High

Assignee:

Category: Forms

Affected QGIS version:2.8.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20054

Description

New description:

Add a layer

use D&D design to add into two different tabs the same text field with a multiline text edit widget

try add a feature > crash

not sure if it is a regression.

Old description:

Using "Drag and drop designer" has made a form with different types of grounds but they are duplicated fields. Then QGIS crashes when

I put the point. The terminal writes "Segmentation fault". When I eliminate fields that are repeated, then no crashes. QGIS 2.6.1 Debian

wheezy 64 bit.

http://s17.postimg.org/y4ypeo1m7/how_crash.png

History

#1 - 2014-12-10 11:53 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

I just tested with data of my own (PostGIS), on Linux and Windows, and cannot replicate, even duplicating on purpose an attribute in the D&D designer.

Does it happens with any layer?

#2 - 2014-12-10 11:55 PM - Giedrius Vaivilavičius

- File form_su_text.png added

- File widget_text.png added

The problem is in "edit widget" when selected "Multiline". No crashes when marking "Multiline" removed. I've tried to shap, SQLite and PostGIS layers.

#3 - 2014-12-11 01:11 AM - Giovanni Manghi
- Operating System deleted (Debian Wheezy)

- Subject changed from Using "Drag and drop designer" QGIS 2.6 crashes when I put the point to "Drag and drop designer" crashes QGIS when a text 

edit, multiline field is repeated more than once

#4 - 2015-01-10 07:14 AM - Jürgen Fischer

- Status changed from Feedback to Open

#5 - 2015-02-24 03:34 AM - Giedrius Vaivilavičius

- Target version set to Future Release - High Priority

The problem persists on 2.8.0 version

#6 - 2015-02-24 01:44 PM - Giovanni Manghi

- Affected QGIS version changed from 2.6.1 to 2.8.0

#7 - 2015-05-30 06:21 AM - Matthias Kuhn

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in commit:2bd39e264e6

#8 - 2015-06-03 03:08 AM - Giedrius Vaivilavičius

On 2.9 master it works. no crashes. Thank you for your work!
